IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc15::/16- First address
fc15::- Last address
fc15:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc15:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
5.1.c.f.ip6.arpa
Split into smaller subnets
fc15::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc15::/28 | fc15:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc15:10::/28 | fc15:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc15:20::/28 | fc15:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc15:30::/28 | fc15:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc15:40::/28 | fc15:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc15:50::/28 | fc15:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc15:60::/28 | fc15:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc15:70::/28 | fc15:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc15:80::/28 | fc15:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc15:90::/28 | fc15:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc15:a0::/28 | fc15:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc15:b0::/28 | fc15:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc15:c0::/28 | fc15:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc15:d0::/28 | fc15:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc15:e0::/28 | fc15:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc15:f0::/28 | fc15:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc15:100::/28 | fc15:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc15:110::/28 | fc15:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc15:120::/28 | fc15:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc15:130::/28 | fc15:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc15:140::/28 | fc15:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc15:150::/28 | fc15:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc15:160::/28 | fc15:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc15:170::/28 | fc15:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc15:180::/28 | fc15:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc15:190::/28 | fc15:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc15:1a0::/28 | fc15:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc15:1b0::/28 | fc15:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc15:1c0::/28 | fc15:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc15:1d0::/28 | fc15:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc15:1e0::/28 | fc15:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc15:1f0::/28 | fc15:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc15:200::/28 | fc15:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc15:210::/28 | fc15:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc15:220::/28 | fc15:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc15:230::/28 | fc15:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc15:240::/28 | fc15:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc15:250::/28 | fc15:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc15:260::/28 | fc15:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc15:270::/28 | fc15:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc15:280::/28 | fc15:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc15:290::/28 | fc15:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc15:2a0::/28 | fc15:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc15:2b0::/28 | fc15:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc15:2c0::/28 | fc15:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc15:2d0::/28 | fc15:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc15:2e0::/28 | fc15:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc15:2f0::/28 | fc15:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc15:300::/28 | fc15:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc15:310::/28 | fc15:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc15:320::/28 | fc15:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc15:330::/28 | fc15:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc15:340::/28 | fc15:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc15:350::/28 | fc15:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc15:360::/28 | fc15:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc15:370::/28 | fc15:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc15:380::/28 | fc15:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc15:390::/28 | fc15:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc15:3a0::/28 | fc15:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc15:3b0::/28 | fc15:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc15:3c0::/28 | fc15:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc15:3d0::/28 | fc15:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc15:3e0::/28 | fc15:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc15:3f0::/28 | fc15:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc15:400::/28 | fc15:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc15:410::/28 | fc15:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc15:420::/28 | fc15:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc15:430::/28 | fc15:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc15:440::/28 | fc15:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc15:450::/28 | fc15:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc15:460::/28 | fc15:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc15:470::/28 | fc15:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc15:480::/28 | fc15:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc15:490::/28 | fc15:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc15:4a0::/28 | fc15:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc15:4b0::/28 | fc15:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc15:4c0::/28 | fc15:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc15:4d0::/28 | fc15:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc15:4e0::/28 | fc15:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc15:4f0::/28 | fc15:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc15:500::/28 | fc15:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc15:510::/28 | fc15:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc15:520::/28 | fc15:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc15:530::/28 | fc15:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc15:540::/28 | fc15:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc15:550::/28 | fc15:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc15:560::/28 | fc15:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc15:570::/28 | fc15:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc15:580::/28 | fc15:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc15:590::/28 | fc15:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc15:5a0::/28 | fc15:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc15:5b0::/28 | fc15:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc15:5c0::/28 | fc15:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc15:5d0::/28 | fc15:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc15:5e0::/28 | fc15:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc15:5f0::/28 | fc15:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc15:600::/28 | fc15:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc15:610::/28 | fc15:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc15:620::/28 | fc15:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc15:630::/28 | fc15:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc15:640::/28 | fc15:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc15:650::/28 | fc15:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc15:660::/28 | fc15:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc15:670::/28 | fc15:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc15:680::/28 | fc15:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc15:690::/28 | fc15:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc15:6a0::/28 | fc15:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc15:6b0::/28 | fc15:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc15:6c0::/28 | fc15:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc15:6d0::/28 | fc15:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc15:6e0::/28 | fc15:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc15:6f0::/28 | fc15:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc15:700::/28 | fc15:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc15:710::/28 | fc15:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc15:720::/28 | fc15:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc15:730::/28 | fc15:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc15:740::/28 | fc15:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc15:750::/28 | fc15:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc15:760::/28 | fc15:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc15:770::/28 | fc15:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc15:780::/28 | fc15:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc15:790::/28 | fc15:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc15:7a0::/28 | fc15:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc15:7b0::/28 | fc15:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc15:7c0::/28 | fc15:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc15:7d0::/28 | fc15:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc15:7e0::/28 | fc15:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc15:7f0::/28 | fc15:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc15:800::/28 | fc15:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc15:810::/28 | fc15:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc15:820::/28 | fc15:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc15:830::/28 | fc15:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc15:840::/28 | fc15:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc15:850::/28 | fc15:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc15:860::/28 | fc15:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc15:870::/28 | fc15:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc15:880::/28 | fc15:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc15:890::/28 | fc15:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc15:8a0::/28 | fc15:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc15:8b0::/28 | fc15:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc15:8c0::/28 | fc15:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc15:8d0::/28 | fc15:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc15:8e0::/28 | fc15:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc15:8f0::/28 | fc15:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc15:900::/28 | fc15:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc15:910::/28 | fc15:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc15:920::/28 | fc15:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc15:930::/28 | fc15:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc15:940::/28 | fc15:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc15:950::/28 | fc15:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc15:960::/28 | fc15:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc15:970::/28 | fc15:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc15:980::/28 | fc15:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc15:990::/28 | fc15:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc15:9a0::/28 | fc15:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc15:9b0::/28 | fc15:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc15:9c0::/28 | fc15:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc15:9d0::/28 | fc15:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc15:9e0::/28 | fc15:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc15:9f0::/28 | fc15:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc15:a00::/28 | fc15:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc15:a10::/28 | fc15:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc15:a20::/28 | fc15:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc15:a30::/28 | fc15:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc15:a40::/28 | fc15:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc15:a50::/28 | fc15:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc15:a60::/28 | fc15:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc15:a70::/28 | fc15:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc15:a80::/28 | fc15:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc15:a90::/28 | fc15:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc15:aa0::/28 | fc15:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc15:ab0::/28 | fc15:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc15:ac0::/28 | fc15:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc15:ad0::/28 | fc15:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc15:ae0::/28 | fc15:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc15:af0::/28 | fc15:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc15:b00::/28 | fc15:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc15:b10::/28 | fc15:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc15:b20::/28 | fc15:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc15:b30::/28 | fc15:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc15:b40::/28 | fc15:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc15:b50::/28 | fc15:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc15:b60::/28 | fc15:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc15:b70::/28 | fc15:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc15:b80::/28 | fc15:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc15:b90::/28 | fc15:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc15:ba0::/28 | fc15:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc15:bb0::/28 | fc15:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc15:bc0::/28 | fc15:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc15:bd0::/28 | fc15:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc15:be0::/28 | fc15:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc15:bf0::/28 | fc15:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc15:c00::/28 | fc15:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc15:c10::/28 | fc15:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc15:c20::/28 | fc15:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc15:c30::/28 | fc15:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc15:c40::/28 | fc15:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc15:c50::/28 | fc15:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc15:c60::/28 | fc15:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc15:c70::/28 | fc15:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc15:c80::/28 | fc15:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc15:c90::/28 | fc15:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc15:ca0::/28 | fc15:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc15:cb0::/28 | fc15:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc15:cc0::/28 | fc15:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc15:cd0::/28 | fc15:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc15:ce0::/28 | fc15:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc15:cf0::/28 | fc15:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc15:d00::/28 | fc15:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc15:d10::/28 | fc15:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc15:d20::/28 | fc15:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc15:d30::/28 | fc15:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc15:d40::/28 | fc15:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc15:d50::/28 | fc15:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc15:d60::/28 | fc15:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc15:d70::/28 | fc15:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc15:d80::/28 | fc15:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc15:d90::/28 | fc15:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc15:da0::/28 | fc15:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc15:db0::/28 | fc15:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc15:dc0::/28 | fc15:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc15:dd0::/28 | fc15:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc15:de0::/28 | fc15:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc15:df0::/28 | fc15:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc15:e00::/28 | fc15:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc15:e10::/28 | fc15:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc15:e20::/28 | fc15:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc15:e30::/28 | fc15:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc15:e40::/28 | fc15:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc15:e50::/28 | fc15:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc15:e60::/28 | fc15:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc15:e70::/28 | fc15:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc15:e80::/28 | fc15:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc15:e90::/28 | fc15:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc15:ea0::/28 | fc15:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc15:eb0::/28 | fc15:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc15:ec0::/28 | fc15:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc15:ed0::/28 | fc15:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc15:ee0::/28 | fc15:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc15:ef0::/28 | fc15:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc15:f00::/28 | fc15:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc15:f10::/28 | fc15:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc15:f20::/28 | fc15:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc15:f30::/28 | fc15:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc15:f40::/28 | fc15:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc15:f50::/28 | fc15:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc15:f60::/28 | fc15:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc15:f70::/28 | fc15:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc15:f80::/28 | fc15:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc15:f90::/28 | fc15:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc15:fa0::/28 | fc15:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc15:fb0::/28 | fc15:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc15:fc0::/28 | fc15:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc15:fd0::/28 | fc15:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc15:fe0::/28 | fc15:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc15:ff0::/28 | fc15:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |